openSUSE Security Update : containerd / docker / docker-runc / etc (openSUSE-2019-1079)

high Nessus Plugin ID 123542
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for containerd, docker, docker-runc, golang-github-docker-libnetwork, runc fixes the following issues :

Security issues fixed :

- CVE-2018-16875: Fixed a CPU Denial of Service (bsc#1118899).

- CVE-2018-16874: Fixed a vulnerabity in go get command which could allow directory traversal in GOPATH mode (bsc#1118898).

- CVE-2018-16873: Fixed a vulnerability in go get command which could allow remote code execution when executed with -u in GOPATH mode (bsc#1118897).

- CVE-2019-5736: Effectively copying /proc/self/exe during re-exec to avoid write attacks to the host runc binary, which could lead to a container breakout (bsc#1121967).

Other changes and bug fixes :

- Update shell completion to use Group: System/Shells.

- Add daemon.json file with rotation logs configuration (bsc#1114832)

- Update to Docker 18.09.1-ce (bsc#1124308) and to to runc 96ec2177ae84. See upstream changelog in the packaged /usr/share/doc/packages/docker/CHANGELOG.md.

- Disable leap based builds for kubic flavor (bsc#1121412).

- Allow users to explicitly specify the NIS domain name of a container (bsc#1001161).

- Update docker.service to match upstream and avoid rlimit problems (bsc#1112980).

- Update go requirements to >= go1.10

- Use -buildmode=pie for tests and binary build (bsc#1048046 and bsc#1051429).

- Remove the usage of 'cp -r' to reduce noise in the build logs.

This update was imported from the SUSE:SLE-12:Update update project.

Solution

Update the affected containerd / docker / docker-runc / etc packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1121967

https://bugzilla.opensuse.org/show_bug.cgi?id=1118897

https://bugzilla.opensuse.org/show_bug.cgi?id=1118898

https://bugzilla.opensuse.org/show_bug.cgi?id=1118899

https://bugzilla.opensuse.org/show_bug.cgi?id=1048046

https://bugzilla.opensuse.org/show_bug.cgi?id=1051429

https://bugzilla.opensuse.org/show_bug.cgi?id=1114832

https://bugzilla.opensuse.org/show_bug.cgi?id=1124308

https://bugzilla.opensuse.org/show_bug.cgi?id=1001161

https://bugzilla.opensuse.org/show_bug.cgi?id=1112980

https://bugzilla.opensuse.org/show_bug.cgi?id=1121412

Plugin Details

Severity: High

ID: 123542

File Name: openSUSE-2019-1079.nasl

Version: 1.4

Type: local

Agent: unix

Published: 4/1/2019

Updated: 1/19/2021

Dependencies: ssh_get_info.nasl

Risk Information

VPR

Risk Factor: Critical

Score: 10

CVSS v2

Risk Factor: High

Base Score: 9.3

Temporal Score: 7.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

CVSS v3

Risk Factor: High

Base Score: 8.6

Temporal Score: 7.7

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:C/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:P/RL:O/RC:C

Vulnerability Information

CPE: cpe:2.3:o:novell:opensuse:42.3:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:docker:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:docker-bash-completion:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:docker-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:docker-debugsource:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:docker-zsh-completion:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:docker-test:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:containerd:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:containerd-ctr:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:containerd-test:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:docker-libnetwork:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:docker-libnetwork-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:docker-runc:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:docker-runc-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:docker-runc-debugsource:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:docker-runc-test:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:docker-test-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:golang-github-docker-libnetwork:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:golang-github-docker-libnetwork-debugsource:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:docker-runc-kubic:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:docker-runc-kubic-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:docker-runc-kubic-debugsource:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:docker-runc-kubic-test:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:containerd-kubic:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:containerd-kubic-ctr:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:containerd-kubic-test:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:docker-kubic:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:docker-kubic-bash-completion:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:docker-kubic-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:docker-kubic-debugsource:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:docker-kubic-test:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:docker-kubic-test-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:docker-kubic-zsh-completion:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:docker-libnetwork-kubic:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:docker-libnetwork-kubic-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:golang-github-docker-libnetwork-kubic:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:docker-kubic-kubeadm-criconfig:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:golang-github-docker-libnetwork-kubic-debugsource:*:*:*:*:*:*:*

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 3/29/2019

Vulnerability Publication Date: 12/14/2018

Reference Information

CVE: CVE-2018-16873, CVE-2018-16874, CVE-2018-16875, CVE-2019-5736